Field NationDeveloper Platform
Field NationDeveloper Platform
IntroductionQuick StartAPI Playground

Getting Started

API Reference

People

UsersProvidersTalent PoolsTalent Pool GroupsService Territories

Organization

ClientsProjectsLocations

Configuration

TemplatesTypes of WorkCompany
Resources

Company

Company settings, reasons, expense categories, and configuration.


Company

The Company endpoints provide access to your organization's global configuration on Field Nation.

Incomplete Reasons

When marking a work order as incomplete, you must provide a reason ID.

GET /company/{company_id}/reasons/incomplete

Response

{
  "results": [
    { "id": 1, "name": "Provider no-show" },
    { "id": 2, "name": "Equipment failure" },
    { "id": 3, "name": "Site access denied" },
    { "id": 4, "name": "Customer cancellation" }
  ]
}

Usage in API:

DELETE /workorders/{id}/complete?reason=Equipment+failure&reason_id=2

Revisit Reasons

When a provider must return to a site, specify the reason.

GET /company/{company_id}/reasons/revisit

{
  "results": [
    { "id": 10, "name": "Additional parts needed" },
    { "id": 11, "name": "Customer requested callback" },
    { "id": 12, "name": "Scope change" }
  ]
}

Expense Categories

Define the types of expenses providers can claim.

GET /company/{company_id}/expenses

{
  "results": [
    { "id": 1, "name": "Materials", "requires_receipt": true },
    { "id": 2, "name": "Mileage", "requires_receipt": false },
    { "id": 3, "name": "Parking", "requires_receipt": true }
  ]
}

Tags

Tags help organize and filter work orders.

GET /company/{company_id}/tags

{
  "results": [
    { "id": 5, "name": "VIP Customer", "hex_color": "FF0000" },
    { "id": 6, "name": "Urgent", "hex_color": "FFA500" },
    { "id": 7, "name": "Training", "hex_color": "0000FF" }
  ]
}

Bonuses & Penalties

Global lists of incentives and deductions available for work orders.

GET /bonuses

{
  "results": [
    { "id": 1, "name": "Urgent Dispatch", "amount": 25.00 },
    { "id": 2, "name": "Weekend Premium", "amount": 50.00 }
  ]
}

GET /penalties

{
  "results": [
    { "id": 1, "name": "Late Arrival", "amount": -15.00 },
    { "id": 2, "name": "Missing Photo", "amount": -10.00 }
  ]
}

Most company configuration is managed through the Field Nation UI. Use these API endpoints to retrieve configured values for use in your integration logic.

Related Resources

  • Financials - Using bonuses/penalties on work orders
  • Work Orders - Using incomplete/revisit reasons

Last updated on

Types of Work

Job classifications and skill categories.

On this page

Company
Incomplete Reasons
Response
Revisit Reasons
Expense Categories
Tags
Bonuses & Penalties
Related Resources